package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 微信交易状态枚举
 *
 * @author ZYJ
 * @date 2022/4/1
 */
@Getter
@AllArgsConstructor
public enum WxTradeStateEnum {

    /**
     * 微信交易状态枚举
     * SUCCESS：支付成功
     * REFUND：转入退款
     * NOTPAY：未支付
     * CLOSED：已关闭
     * REVOKED：已撤销（仅付款码支付会返回）
     * USERPAYING：用户支付中（仅付款码支付会返回）
     * PAYERROR：支付失败（仅付款码支付会返回）
     */
    SUCCESS("SUCCESS", "交易完成（正常支付成功）"),
    REFUND("REFUND", "转入退款"),
    NOT_PAY("NOTPAY", "待付款"),
    CLOSED("CLOSED", "已关闭"),
    REVOKED("REVOKED", "已撤销（仅付款码支付会返回）"),
    USER_PAYING("USERPAYING", "用户支付中（仅付款码支付会返回）"),
    PAY_ERROR("PAYERROR", "支付失败（仅付款码支付会返回）");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
